# Interface ReadableOptions

#### Hierarchy

- StreamOptions<Readable>
  - ReadableOptions
    - DuplexOptions

#####
Index

### Properties

autoDestroy?
emitClose?
encoding?
highWaterMark?
objectMode?
signal?

### Methods

construct?
destroy?
read?

## Properties

### `Optional` autoDestroy

autoDestroy?: boolean

Inherited from StreamOptions.autoDestroy

### `Optional` emitClose

emitClose?: boolean

Inherited from StreamOptions.emitClose

### `Optional` encoding

encoding?: BufferEncoding

### `Optional` highWaterMark

highWaterMark?: number

Inherited from StreamOptions.highWaterMark

### `Optional` objectMode

objectMode?: boolean

Inherited from StreamOptions.objectMode

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from StreamOptions.signal

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - ##### this: Readable

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Inherited from StreamOptions.construct

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - ##### this: Readable

  - ##### error: null | Error

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Inherited from StreamOptions.destroy

### `Optional` read

- read(this, size): void

- #### Parameters

  - ##### this: Readable

  - ##### size: number

  #### Returns void

Generated using TypeDoc